DROP FUNCTION IF EXISTS public.GetAccountExtIdByInila(pinila character varying);
CREATE OR REPLACE FUNCTION public.GetAccountExtIdByInila(pinila character varying)
  RETURNS character varying
LANGUAGE sql
AS $function$
SELECT accounts.externalid FROM accounts
WHERE inila = pinila;

$function$;

DROP FUNCTION IF EXISTS public.signstudentbyopenid(pglobalkey character varying);
CREATE OR REPLACE FUNCTION public.signstudentbyopenid(pglobalkey character varying)
  RETURNS integer
LANGUAGE plpgsql
AS $function$
DECLARE vAccountID INT DEFAULT null;
begin
  --check account existence
  SELECT accounts.ID INTO vAccountID FROM accounts
  WHERE concat('st-', accounts.ExternalID) = pGlobalKey
        and accounts.userroleid = 1
  LIMIT 1;
  IF vAccountID is null  THEN
    RETURN -1;
  END IF;

  INSERT INTO logs_signin (AccountID) VALUES (vAccountID);
  RETURN vAccountID;
END
$function$;
